Install a plugin Technical Preview; added in 9.4.0

POST /api/agent_builder/plugins/install

Spaces method and path for this operation:

post /s/{space_id}/api/agent_builder/plugins/install

Refer to Spaces for more information.

Install a plugin from a GitHub Claude plugin URL or a direct ZIP URL. Plugins bundle agent capabilities such as skills.

[Required authorization] Route required privileges: agentBuilder:write.

Headers

  • kbn-xsrf string Required

    A required header to protect against CSRF attacks

application/json

Body

  • plugin_name string

    Optional name override for the plugin. Defaults to the manifest name.

  • url string Required

    URL to install the plugin from (GitHub URL or direct zip URL).

Responses

  • 200 application/json

    Indicates a successful response

POST /api/agent_builder/plugins/install
curl \
  -X POST "${KIBANA_URL}/api/agent_builder/plugins/install" \
  -H "Authorization: ApiKey ${API_KEY}" \
  -H "kbn-xsrf: true" \
  -H "Content-Type: application/json" \
  -d '{
    "url": "https://github.com/anthropics/financial-services-plugins/tree/main/financial-analysis"
}'
POST kbn://api/agent_builder/plugins/install
{
  "url": "https://github.com/anthropics/financial-services-plugins/tree/main/financial-analysis"
}
Request examples
Example request for installing a plugin from a GitHub URL
{
  "url": "https://github.com/anthropics/financial-services-plugins/tree/main/financial-analysis"
}
Example request for installing a plugin from a direct zip URL
{
  "url": "https://my-server.example.com/my-plugin.zip"
}
Example request for installing a plugin with a custom name
{
  "url": "https://github.com/anthropics/financial-services-plugins/tree/main/financial-analysis",
  "plugin_name": "my-custom-plugin-name"
}
Response examples (200)
Example response returning the definition of the installed plugin
{
  "id": "financial-analysis",
  "name": "financial-analysis",
  "version": "1.0.0",
  "manifest": {
    "author": {
      "url": "https://www.anthropic.com",
      "name": "Anthropic"
    },
    "keywords": [
      "finance",
      "analysis"
    ],
    "repository": "https://github.com/anthropics/financial-services-plugins"
  },
  "skill_ids": [
    "financial-analysis-analyze-portfolio"
  ],
  "created_at": "2025-01-01T00:00:00.000Z",
  "source_url": "https://github.com/anthropics/financial-services-plugins/tree/main/financial-analysis",
  "updated_at": "2025-01-01T00:00:00.000Z",
  "description": "Financial analysis tools and skills for Claude",
  "unmanaged_assets": {
    "hooks": [],
    "agents": [],
    "commands": [],
    "lsp_servers": [],
    "mcp_servers": [],
    "output_styles": []
  }
}